D4Science Infrastructure - Task #10666

DataMiner - Install Eartrack software for support DataMiner algorithms

Dec 12,2017 01:02 PM - Giancarlo Panichi

Status: Closed Start date: Dec 12, 2017
Priority: High Due date:
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: DataMiner - Pre Installed Software

support
Infrastructure: Development, Pre-Production,

Production
Description

We have an installation request for Eartrack:

https://support.d4science.org/issues/10653

Eartrack software use Conda package installer.

Conda is a package management tool for installing scientific and analytical computing packages, which may be written in Python or

other programming languages. Conda also creates a virtual environment, like python-virtualenv does. Conda is the package

manager of Anaconda. Anaconda is a free Python distribution provided by Continuum Analytics, which includes over 195 of the most

popular Python packages for science, math, engineering and data analysis.

In DataMiner machines we use Pip a general purpose Python package installer. We can also evaluate the installation of

python-virtualenv from the Ubuntu Software Center.

Pip and Conda use different packaging formats so they do not operate interchangeably, but we can evaluate the use of both tools

side by side.

History

#2 - Dec 12,2017 01:04 PM - Giancarlo Panichi

Eartrack site: https:/github.com/openalea/eartrack

#3 - Dec 18,2017 09:55 AM - Andrea Dell'Amico

| see that there's a conda module for ansible, here: https://github.com/UDST/ansible-conda

#4 - Dec 21, 2017 05:46 PM - Giancarlo Panichi

Well, if it works | would say to try it

#7 - Dec 21, 2017 06:39 PM - Pasquale Pagano
- Priority changed from Normal to High

#8 - Dec 21, 2017 06:52 PM - Andrea Dell'Amico

Well, conda is a real mess for us.

It installs its own python environment that's totally incompatible with the already present python installation. | see that having different running
environments on the same host can be useful, but we'll have to install the python packages in two different places or completely switch to a

conda-controlled environment on the dataminers.

#9 - Dec 21, 2017 07:17 PM - Andrea Dell'Amico

- Status changed from New to In Progress

On a second look, it should be useful to us in the long run.

#10 - Dec 21, 2017 08:30 PM - Andrea Dell'Amico
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
https://support.d4science.org/issues/10653
https://github.com/openalea/eartrack
https://github.com/UDST/ansible-conda

| don't see a difference between this ticket and #10653, I'm closing this one.
